<?php
/*
 * Plugin : Evenium for Wordpress
 * Author : Eyal Hadida
*/
class Evenium_Block
{
  public function __construct()
  {
      add_action('init', array($this, 'register_scripts_styles'));
  }

  public function register_scripts_styles()
  {
      global $pagenow;
      if(($pagenow == 'post.php'|| $pagenow=='post-new.php'))
      {
          wp_register_script(
            'evenium_block_script',
            plugins_url('/js/' . $GLOBALS['evenium_version'] . '/evenium_block.js', __FILE__),
            array(
              'wp-blocks',
              'wp-element',
              )
          );

          register_block_type('evenium/evenium-block', array(
            'editor_script' => 'evenium_block_script',
          ));
      }
  }
}
