/*
 * Plugin : Evenium for Wordpress
 * Author : Eyal Hadida
 */
 var el = wp.element.createElement,
     registerBlockType = wp.blocks.registerBlockType;

    //Evenium flamme icon
    var svgStyle = {
      enableBackground: 'new 0 0 461.8 240'
    };
    const iconSvg = el('svg', {width: '100%', height: '100%', viewBox:'0 0 461.8 240', style: svgStyle},
    el('path', {d: 'M280.1,162.6c-1.7-13.8,45.5-62,45.5-62l-3-3.1c0,0-51.8,46.1-59.7,46.2c-27.2,0.3-24.6-106.2-24.6-106.2l-4.6,0l-4.6,0'+
  				'c0,0,2.6,106.5-24.6,106.2c-8-0.1-59.7-46.2-59.7-46.2l-3,3.1c0,0,47.2,48.2,45.5,62c-3.1,25.1-130.2,23.5-130.2,23.5v3.7'+
  				'c0,0,100.1,0.7,104.7,0.7c4.5,0,37.8-6.1,37.8-22.2c0.1-9.3-3.3-15.4-3.3-15.4s7.4,5.4,12.6,5.4c17.7,0,24.4-35.6,24.8-38.3'+
  				'c0.5,2.7,7.2,38.3,24.9,38.3c5.2,0,12.6-5.4,12.6-5.4s-3.4,6.1-3.3,15.4c0,16.1,33.3,22.2,37.8,22.2c4.5,0,104.7-0.7,104.7-0.7'+
  				'v-3.7C410.3,186.1,283.1,187.6,280.1,162.6z', style:{fill: '#680e79'} })
  );

//Displays the popup to select a widget to integrate
function displayModal(props)
{
    //Clear all click events from the form to avoid multiple blocks on the same page to be updated with the same shortcode
    jQuery("#insertQt").off('click');
    //https://stackoverflow.com/questions/3273350/jquerys-click-pass-parameters-to-user-function
    jQuery("#insertQt").click({param1: props}, insert_quicktag);
    document.getElementById('evenium_te_btn').click();
}


function ev_popup(props)
{
    var content = props.attributes.content;
    var blockStyle = {};
    if (!content || content == "")
    {
        //Matching "My Events" link style on evenium.com
        blockStyle = {
          height: '50px',
          width: 'auto',
          paddingTop: '5px',
          fontSize: '22px',
          textAlign: 'center',
          color: 'white',
          backgroundColor: '#3c0073',
          backgroundImage: 'linear',
          borderRadius: '5px',
        };
       content = objectL10n.select_event;
    }

    function change_text()
    {
        displayModal(props);
    }

    return el(
      'p',
      {
        style: blockStyle,
        onClick: change_text,
      },
      content,
    );
}


registerBlockType( 'evenium/evenium-block', {
     title: 'Evenium',

     icon:  iconSvg,

     category: 'embed',

     attributes: {
       content: {
          type: 'string',
          source: 'text',
          selector: 'p',
       }
     },

     edit: ev_popup,

     save: function(props) {
       return el(
         'p',
         {
         },
         props.attributes.content,
       );
     },
 } );
